Bug 195806 - Wrong pci ids in via.xinf
Wrong pci ids in via.xinf
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-via (Show other bugs)
5
All Linux
medium Severity low
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-17 18:48 EDT by Xavier Bachelot
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-19 17:55:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Xavier Bachelot 2006-06-17 18:48:48 EDT
If I understand correctly the meaning of via.xinf, the file contains 3 wrong
chipset ids (3204, 3205 and 7204), which are not unichrome graphic controllers,
and must probably be removed. Also 3022 is known to the driver but disabled.

It also lacks some others ids (3108, 3118, 3344), but these ones (unichrome pro)
are not yet supported by the driver in xorg, and thus should not be added.

See
http://webcvs.freedesktop.org/xorg/driver/xf86-video-via/src/via_id.h?view=markup
for reference.
Comment 1 Mike A. Harris 2006-06-19 15:18:13 EDT
(In reply to comment #0)
> If I understand correctly the meaning of via.xinf, the file contains 3 wrong
> chipset ids (3204, 3205 and 7204), which are not unichrome graphic controllers,
> and must probably be removed.

Good catch!

Reviewed and confirmed.  All of the *.xinf files were autogenerated
by a script, which took our old pcitable from the hwdata package and
extracted all video devices, putting each in their own file using the
new syntax.  It seems that the pcitable had some incorrect entries
as well, leading to this wonkiness.  ;o)

I've removed the invalid PCI IDs now.

> Also 3022 is known to the driver but disabled.

Left in the file, but commented out, with a description above it, and
a link to this bug report.

> It also lacks some others ids (3108, 3118, 3344), but these ones (unichrome pro)
> are not yet supported by the driver in xorg, and thus should not be added.

It appears that the 3108 and 3118 are supported, as far as the chip IDs
being present, and being used in the via_driver.c detection logic in the
0.2.1 driver, so I have added them.  If these really are broken, or should
be disabled however though, I can comment them out again if someone is
sure they should be disabled.

> See
> http://webcvs.freedesktop.org/xorg/driver/xf86-video-via/src/via_id.h?view=markup
> for reference.

The 0x3344 however is not listed in the ViaChipsets array, and it appears
from the link you provided that this is intentional, so I have added it
but left it disabled with a comment for now.  I also filed a bug upstream
as it should either be listed in the array and commented out for documentive
purposes, or it should be enabled.

https://bugs.freedesktop.org/show_bug.cgi?id=7272

The current via.xinf is now:


------8<--------------------------------------------------------------------
# NOTE: This file was last updated June 19, 2006.  It has been synchronized
# to match the support present and enabled in the upstream X.Org X11R7.1
# via driver release "xf86-video-via-0.2.1.tar.bz2", and to resolve
# the following issue:  https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=195806

# NOTE: Comments in via 0.2.1 driver source indicate this device does not
# exist in the wild, so it has been disabled for now.
#alias pcivideo:v00001106d00003022sv*sd*bc*sc*i* via

# 1106:3108 - K8M800 (PCI_CHIP_VT3204)
alias pcivideo:v00001106d00003108sv*sd*bc*sc*i* via

# 1106:3118 - PM800/PM880/CN400 (PCI_CHIP_VT3259)
alias pcivideo:v00001106d00003118sv*sd*bc*sc*i* via

# 1106:3122 - CLE266 (PCI_CHIP_CLE3122)
alias pcivideo:v00001106d00003122sv*sd*bc*sc*i* via

# 1106:7205 - KM400/KN400 (PCI_CHIP_VT3205)
alias pcivideo:v00001106d00007205sv*sd*bc*sc*i* via

# NOTE: This PCI ID is present in the 0.2.1 driver, but not part of the
# ViaChipset array, so we disable it.  Further investigation yields a commit
# message:  "Xv VM800 support (Ivor Hewitt). Not enabled yet pending more testing."
# http://webcvs.freedesktop.org/xorg/driver/xf86-video-via/src/via_id.h?view=markup
# 1106:3344 - VM800 (PCI_CHIP_VT3314)
#alias pcivideo:v00001106d00003344sv*sd*bc*sc*i* via
------8<--------------------------------------------------------------------


I'm commiting the changes to CVS now, and building a new package in
rawhide.  We are probably going to release X11R7.1 as an update for FC5
in the future as well.  Thanks again for reporting this inaccuracy.
Comment 2 Mike A. Harris 2006-06-19 17:55:23 EDT
Fixed in 0.2.1-4, thanks again.

Note You need to log in before you can comment on or make changes to this bug.